<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hmef.attribute.TNEFAttribute (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hmef.attribute.TNEFAttribute (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
               title="class in org.apache.poi.hmef.attribute">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hmef/attribute/class-use/TNEFAttribute.html"
               target="_top">Frames</a></li>
        <li><a href="TNEFAttribute.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hmef.attribute.TNEFAttribute" class="title">Uses of Class<br>org.apache.poi.hmef.attribute.TNEFAttribute
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                        title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hmef">org.apache.poi.hmef</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.hmef.attribute">org.apache.poi.hmef.attribute</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hmef">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                   title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a> in <a
                            href="../../../../../../org/apache/poi/hmef/package-summary.html">org.apache.poi.hmef</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hmef/package-summary.html">org.apache.poi.hmef</a> that return <a
                                href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Attachment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/Attachment.html#getAttribute-org.apache.poi.hmef.attribute.TNEFProperty-">getAttribute</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFProperty.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFProperty</a>&nbsp;id)</code>
                                <div class="block">Return the attachment attribute with the given ID,
                                    or null if there isn't one.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HMEFMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/HMEFMessage.html#getMessageAttribute-org.apache.poi.hmef.attribute.TNEFProperty-">getMessageAttribute</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFProperty.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFProperty</a>&nbsp;id)</code>
                                <div class="block">Return the message attribute with the given ID,
                                    or null if there isn't one.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hmef/package-summary.html">org.apache.poi.hmef</a> that return types with arguments of type <a
                                href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">Attachment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/Attachment.html#getAttributes--">getAttributes</a></span>()</code>
                                <div class="block">Returns all HMEF/TNEF attributes of the attachment,
                                    such as filename, icon and contents
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">HMEFMessage.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/HMEFMessage.html#getMessageAttributes--">getMessageAttributes</a></span>()</code>
                                <div class="block">Returns all HMEF/TNEF attributes of the message.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a href="../../../../../../org/apache/poi/hmef/package-summary.html">org.apache.poi.hmef</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected void</code></td>
                            <td class="colLast"><span class="typeNameLabel">Attachment.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/Attachment.html#addAttribute-org.apache.poi.hmef.attribute.TNEFAttribute-">addAttribute</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a>&nbsp;attr)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.hmef.attribute">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                   title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a> in <a
                            href="../../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing subclasses, and an explanation">
                        <caption><span>Subclasses of <a
                                href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a> in <a
                                href="../../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFDateAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFDateAttribute</a></span></code>
                                <div class="block">A Date attribute which applies to a <a
                                        href="../../../../../../org/apache/poi/hmef/HMEFMessage.html"
                                        title="class in org.apache.poi.hmef"><code>HMEFMessage</code></a>
                                    or one of its <a href="../../../../../../org/apache/poi/hmef/Attachment.html"
                                                     title="class in org.apache.poi.hmef"><code>Attachment</code></a>s.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFMAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFMAPIAttribute</a></span></code>
                                <div class="block">A TNEF Attribute holding MAPI Attributes, which applies to a
                                    <a href="../../../../../../org/apache/poi/hmef/HMEFMessage.html"
                                       title="class in org.apache.poi.hmef"><code>HMEFMessage</code></a> or one of its
                                    <a href="../../../../../../org/apache/poi/hmef/Attachment.html"
                                       title="class in org.apache.poi.hmef"><code>Attachment</code></a>s.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFStringAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFStringAttribute</a></span></code>
                                <div class="block">A String attribute which applies to a <a
                                        href="../../../../../../org/apache/poi/hmef/HMEFMessage.html"
                                        title="class in org.apache.poi.hmef"><code>HMEFMessage</code></a>
                                    or one of its <a href="../../../../../../org/apache/poi/hmef/Attachment.html"
                                                     title="class in org.apache.poi.hmef"><code>Attachment</code></a>s.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a> that return <a
                                href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">TNEFAttribute.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html#create-java.io.InputStream-">create</a></span>(java.io.InputStream&nbsp;inp)</code>
                                <div class="block">Creates a new TNEF Attribute by reading data from
                                    the stream within a <a href="../../../../../../org/apache/poi/hmef/HMEFMessage.html"
                                                           title="class in org.apache.poi.hmef"><code>HMEFMessage</code></a>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hmef/attribute/package-summary.html">org.apache.poi.hmef.attribute</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.util.List&lt;<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">MAPIAttribute</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIAttribute.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/MAPIAttribute.html#create-org.apache.poi.hmef.attribute.TNEFAttribute-">create</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a>&nbsp;parent)</code>
                                <div class="block">Parses a MAPI Properties TNEF Attribute, and returns
                                    the list of MAPI Attributes contained within it
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static java.util.Date</code></td>
                            <td class="colLast"><span class="typeNameLabel">TNEFDateAttribute.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFDateAttribute.html#getAsDate-org.apache.poi.hmef.attribute.TNEFAttribute-">getAsDate</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a>&nbsp;attr)</code>
                                <div class="block">Returns the Date of a Attribute, converting as appropriate</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static java.lang.String</code></td>
                            <td class="colLast"><span class="typeNameLabel">TNEFStringAttribute.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFStringAttribute.html#getAsString-org.apache.poi.hmef.attribute.TNEFAttribute-">getAsString</a></span>(<a
                                    href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
                                    title="class in org.apache.poi.hmef.attribute">TNEFAttribute</a>&nbsp;attr)</code>
                                <div class="block">Returns the string of a Attribute, converting as appropriate</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hmef/attribute/TNEFAttribute.html"
               title="class in org.apache.poi.hmef.attribute">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hmef/attribute/class-use/TNEFAttribute.html"
               target="_top">Frames</a></li>
        <li><a href="TNEFAttribute.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
